installare Unico PF 2010

6 risposte [Ultimo messaggio]
Ritratto di ronin
ronin
(Junior)
Offline
Junior
Iscritto: 26/05/2010
Messaggi: 20

Avrei la necessità di installare il programma dell'agenzia delle Entrate Unico PF 2010.

Esiste una versione per Linux ma è garantita la compatibilità solo con Ubuntu, Fedora e Red Hat.
In effetti ho provato a installarlo sulla mia openSuSE 11.2 senza successo.

Io non sono in grado di capire se è un problema semplice, risolvibile installando un pacchetto o comunque in pochi minuti, oppure si tratta di una incompatibilità insormontabile.

Qualcuno mi darebbe una mano? Se non dimostro che openSuSE è compatibile con questo programma mi tocca installare Ubuntu Sad

Ecco il link alla pagina di download:
http://www.agenziaentrate.gov.it/wps/wcm/connect/Nsilib/Nsi/Strumenti/Software/Dichiarazioni+2010/Unico+PF+2010/

Ritratto di Ozner
Ozner
(Geek)
Offline
Geek
Iscritto: 14/01/2009
Messaggi: 189

domanda banale: hai installato java, vero?

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Allora, la versione jnlp funziona senza problemi (o almeno parte, dato che piu` di farla partire non posso fare); quando firefox ti chiede con cosa aprire il file jnlp, tu indica di aprirlo con /usr/bin/javaws

Per quanto riguarda il file bin (raggiungibile tramite le "Precedenti modalità di installazione"), non riesco a farlo andare in quanto l'installer non trova una jvm (che in realta` c'e` e funziona, ma forse e` solo un problema dell'installer stesso)

Una cosa: io sto usando java 1.6 della sun e non openjdk, installato di default. Quindi apri la gestione dei programmi in yast, elimini openjdk e installi i pacchetti java-1_6_0-sun e java-1_6_0-sun-plugin (entrambi presenti nel repository non-oss).

edit:
ho trovato la causa del perche` non funziona l'installer: semplicemente l'installer non riesce a capire che "1.6.0_20" e "1.6" rappresentano due versioni di java compatibili.

edit2: se vuoi, si puo` imbrogliare l'installer e fargli credere di aver trovato una jvm compatibile (come effettivamente accade) pur se i controlli effettuati dall'installer in realta` falliscono.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di ronin
ronin
(Junior)
Offline
Junior
Iscritto: 26/05/2010
Messaggi: 20

Grazie mille Orion!

mi basta farla partire dal sito.

Se avrò problemi il prossimo anno ci risentiremo! Big Grin

Ritratto di yanos
yanos
(Geek)
Offline
Geek
Iscritto: 30/10/2007
Messaggi: 55

Ciao,
il programma non è nativo ma gira in una macchina virtuale (Java) uguale per i sistemi linux, quindi provata su uno funziona su tutti.
Unico accorgimento, disinstalla quella "ciofeca" di openJDK (se non l'hai già fatto) ed installa quella proprietaria di sun (ormai oracle).
Per installarlo basta aprirlo con "Java Web Start" (ti dovrebbe comparire in firefox dopo l'istallazione di Java Sun), altrimenti come ti ha detto orion (/usr/bin/javaws). In pratica, Java Web Start scarica l'applicazione su disco, e ad ogni avvio controlla che sia aggiornata (eventualmente aggiornandola con l'ultima versione). Sicuramente ti chiederà se ritieni attendibile la fonte (certificato), ovviamente rispondi "si".

Dimenticavo, io ho usato 730 via jnpl (java web start) sempre dall'agenzia delle entrate e non ho avuto alcun problema tranne la grafica tragicamente retrò....
Ciao

La risposta è dentro di te...
epperò è sbagliata!

Ritratto di moviemaniac
moviemaniac
(Geek)
Offline
Geek
Iscritto: 10/10/2005
Messaggi: 135

Ciao, perchè non usi la versione windows con wine?
A me ha funzionato, proprio quella installata in ambiente windows. Ho riavviato in linux e l'ho lanciata e tutto ok.

Aspè, si trattava del PF09 però ora che ci penso.

aka FaithFulSoft
once MaxDev's staff developer

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

per quale assurdo motivo devo usare una versione di windows con wine quando c'è quella nativa per linux?

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el